- Main Page
- Namespaces
- Classes
- Files
- Directories

- Class List
- Class Hierarchy
- Class Members

# CPlayerPlaylistBar Class Reference

Inheritance diagram for CPlayerPlaylistBar:

List of all members.

## Public Member Functions
| CPlayerPlaylistBar ()
virtual | ~CPlayerPlaylistBar ()
BOOL | Create (CWnd *pParentWnd)
int | GetCount ()
int | GetSelIdx ()
void | SetSelIdx (int i)
bool | IsAtEnd ()
bool | GetCur (CPlaylistItem &pli)
CString | GetCur ()
void | SetNext ()
void | SetPrev ()
void | SetFirst ()
void | SetLast ()
void | SetCurValid (bool fValid)
void | SetCurTime (REFERENCE_TIME rt)
void | Refresh ()
void | Empty ()
void | Open (CList< CString > &fns, bool fMulti, CList< CString > *subs=NULL)
void | Append (CList< CString > &fns, bool fMulti, CList< CString > *subs=NULL)
void | Open (CStringW vdn, CStringW adn, int vinput, int vchannel, int ainput)
void | Append (CStringW vdn, CStringW adn, int vinput, int vchannel, int ainput)
OpenMediaData * | GetCurOMD (REFERENCE_TIME rtStart=0)
void | LoadPlaylist ()
void | SavePlaylist ()
afx_msg void | OnSize (UINT nType, int cx, int cy)
afx_msg void | OnLvnKeyDown (NMHDR *pNMHDR, LRESULT *pResult)
afx_msg void | OnNMDblclkList (NMHDR *pNMHDR, LRESULT *pResult)
afx_msg void | OnDrawItem (int nIDCtl, LPDRAWITEMSTRUCT lpDrawItemStruct)
afx_msg BOOL | OnFileClosePlaylist (UINT nID)
afx_msg BOOL | OnPlayPlay (UINT nID)
afx_msg void | OnDropFiles (HDROP hDropInfo)
afx_msg void | OnBeginDrag (NMHDR *pNMHDR, LRESULT *pResult)
afx_msg void | OnMouseMove (UINT nFlags, CPoint point)
afx_msg void | OnLButtonUp (UINT nFlags, CPoint point)
afx_msg BOOL | OnToolTipNotify (UINT id, NMHDR *pNMHDR, LRESULT *pResult)
afx_msg void | OnTimer (UINT nIDEvent)
afx_msg void | OnContextMenu (CWnd *, CPoint)
afx_msg void | OnLvnEndlabeleditList (NMHDR *pNMHDR, LRESULT *pResult)
## Public Attributes
CPlaylist | m_pl
## Protected Member Functions
virtual BOOL | PreCreateWindow (CREATESTRUCT &cs)
virtual BOOL | PreTranslateMessage (MSG *pMsg)

## Detailed Description

Definition at line 29 of file PlayerPlaylistBar.h.

The documentation for this class was generated from the following files:

- C:/guliverkli/src/apps/mplayerc/PlayerPlaylistBar.h
- C:/guliverkli/src/apps/mplayerc/PlayerPlaylistBar.cpp